create_voltage_probe#

NexximComponents.create_voltage_probe(name=None, location=None, angle=0, use_instance_id_netlist=False)[source]#

Create a voltage probe.

Parameters:
name

Name of the voltage probe. The default is None.

locationlist of float, optional

Position on the X axis and Y axis. The default is None.

anglefloat, optional

Angle rotation in degrees. The default is 0.

use_instance_id_netlistbool, optional

Whether to use the instance ID in the net list. The default is False.

Returns:
ansys.aedt.core.modeler.cad.object_3dcircuit.CircuitComponent

Circuit Component Object.

References

>>> oEditor.CreateComponent